<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Home</title>
    <link rel="stylesheet" href="style.css">

</head>
<body>
  <!-- import background video -->
    <div class="hero">
        <video autoplay loop muted plays-inline class="back-video">
            <source src="media/video_background.mp4" type="video/mp4">
        </video>
    <div>
    <!-- nav bar -->
        <nav>
            <ul>
                <li><a href="#">ACCUEIL</a></li>
                <li><a href="#">SALLE DES TROPH&EacuteES</a></li>
                <li><a href="#">LES MOUVEMENTS </a></li>
                <li><a href="#">&Agrave; PROPOS</a></li>
            </ul>
        </nav>

        <!-- main text  -->
        <div class="content">
            <h1>Start your journey</h1>
            <!-- don't show the video until the button is clicked -->
            <style>
                #myVideo {
                  display: none;
                }
              </style>
              
              <!-- Open the video in full screen-->
              <button onclick="playFullScreen()">GO</button>
              <script>
                var startGameButton = document.getElementById("GO");
                startGameButton.addEventListener("click", function(){
                window.location.href = "login.html";
              });
              </script>
              <!-- import the video -->
              <video id="myVideo" autoplay >
                <source src="media/video.mp4" type="video/mp4"> 
              </video>
              
              <!-- Play the video in full screen after the click in the button-->
              <script>
              
              function playFullScreen() {
                var video = document.getElementById("myVideo");
                video.style.display = "block";
                if (video.requestFullscreen) {
                  video.requestFullscreen();
                } else if (video.mozRequestFullScreen) {
                  video.mozRequestFullScreen();
                } else if (video.webkitRequestFullscreen) {
                  video.webkitRequestFullscreen(); 
                }
                video.play();
                video.addEventListener("ended", function() {
                  if (document.exitFullscreen) {
                    document.exitFullscreen();
                  } else if (document.mozCancelFullScreen) {
                    document.mozCancelFullScreen(); 
                  } else if (document.webkitExitFullscreen) {
                    document.webkitExitFullscreen(); 
                  }
                  //bring the user to the game section
                  window.location.href = "../game/game.html"; 
                });
              }
              </script>
        </div> 
    </div>
</body>
</html>